      subroutine makeup (no, string, area, ix)

      character*(*) string, area
      integer*2 ix(*)

      include 'basics.inc'

c      character*5 chival

      lenstr = len(string)
      if (ix(no) .ne. 0) call abort ('makeup: problem')
      if (no .eq. 1) then
        ib = 0
      else
        nn = no
        ib = ix(no-1)
        do while (ib .eq. 0)
          nn = nn - 1
          ib = ix(nn-1)
        end do
        do while (nn .lt. no)
          ix(nn) = ib
          nn = nn + 1
        end do
      end if
      area(ib+1:ib+lenstr) = string
      ix(no) = ib+lenstr
      it = ix(no)
      return
      end
